# $Revision: 1.12 $, $Date: 2010/11/19 07:54:24 $
Summary:	A software library for accesing MusicBrainz servers
Summary(pl.UTF-8):	Biblioteka umożliwiająca korzystanie z serwerów MusicBrainz
Name:		libmusicbrainz3
Version:	3.0.3
Release:	1
Epoch:		1
License:	LGPL v2.1+
Group:		Libraries
Source0:	ftp://ftp.musicbrainz.org/pub/musicbrainz/libmusicbrainz-%{version}.tar.gz
# Source0-md5:	f4824d0a75bdeeef1e45cc88de7bb58a
Patch0:		%{name}-cppunit.patch
URL:		http://www.musicbrainz.org/
BuildRequires:	cmake >= 2.6
BuildRequires:	cppunit-devel
BuildRequires:	neon-devel >= 0.25
BuildRequires:	libdiscid-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The MusicBrainz client library allows applications to make metadata
lookup to a MusicBrainz server, generate signatures from WAV data and
create CD Index Disk ids from audio CD roms.

%description -l pl.UTF-8
Biblioteka kliencka MusicBrainz pozwala aplikacjom na wysyłanie
zapytań do serwerów MusicBrainz, generowanie sygnatur z plików WAV
oraz tworzenie indeksów z płyt CD audio.

%package devel
Summary:	Headers for developing programs that will use libmusicbrainz
Summary(pl.UTF-8):	Pliki nagłówkowe do rozwijania programów używających libmusicbrainz
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	libdiscid-devel
Requires:	libstdc++-devel
Requires:	neon-devel >= 0.25

%description devel
This package contains the headers that programmers will need to
develop applications which will use libmusicbrainz.

%description devel -l pl.UTF-8
Pliki nagłówkowe potrzebne programistom do rozwijania aplikacji
używających biblioteki libmusicbrainz.

%prep
%setup -q -n libmusicbrainz-%{version}
%patch0 -p1

%build
%cmake . \
	-DCMAKE_BUILD_TYPE=%{!?debug:Release}%{?debug:Debug} \
	-DCMAKE_CXX_FLAGS_RELEASE="-DNDEBUG" \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DCMAKE_VERBOSE_MAKEFILE=ON \
%if "%{_lib}" == "lib64"
	-DLIB_SUFFIX=64
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# for rpm autodeps
chmod 755 $RPM_BUILD_ROOT%{_libdir}/libmusicbrainz3.so*

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS.txt NEWS.txt README.txt
%attr(755,root,root) %{_libdir}/libmusicbrainz3.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmusicbrainz3.so.6

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmusicbrainz3.so
%{_includedir}/musicbrainz3
%{_pkgconfigdir}/libmusicbrainz3.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libmusicbrainz3.spec,v $
Revision 1.12  2010/11/19 07:54:24  qboosh
- updated to 3.0.3
- removed obsolete gcc43 patch

Revision 1.11  2008/12/27 10:16:40  qboosh
- updated to 3.0.2
- updated cppunit patch

Revision 1.10  2008/10/17 21:10:06  megabajt
- release 5

Revision 1.9  2008/09/29 21:05:28  qboosh
- unified cmake -D options

Revision 1.8  2008/07/14 19:18:47  megabajt
- added -gcc43.patch to fix build
- release 4

Revision 1.7  2008/02/02 02:40:25  glen
- fix internal deps; rel 3

Revision 1.6  2007-08-31 20:31:20  arekm
- rel 2

Revision 1.5  2007/08/05 21:09:11  qboosh
- lib64 support

Revision 1.4  2007/07/16 19:11:41  qboosh
- updated to 3.0.1

Revision 1.3  2007/06/12 17:10:48  qboosh
- let rpm detect lib deps

Revision 1.2  2007/05/28 22:39:21  qboosh
- libdiscid is ready

Revision 1.1  2007/05/28 21:13:06  qboosh
- new, rewrite, parallel installable with v2.x
